
Redmine - Feature #4559

Add a version filter to the global issues view

2010-01-12 22:32 - Scott Selberg

Status: Closed Start date: 2010-01-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

This is a fantastic tool.  One of the use cases where it is 'almost' there is with multi-project endeavors.  For example, consider

building the iPod.  There could be a team dealing with the internal firmware, the mechanical device, the electrical circuits, and various

applications.  It would be greate to have a Redmine project for each of those areas.  Each project would get linked to the team, wiki,

issues, repositories, etc.  When a new version of the iPod is being created, there are issues in all four areas.  It would be great to

create the "Endeavor" and link it to the four projects.

Currently I'm using shared versions to implement this functionality.  The key missing piece is being able to filter by the version in the

show ALL issues page.

Related issues:

Related to Redmine - Feature #2665: Filter on sub projects target version wit... Closed 2009-02-04

Has duplicate Redmine - Defect #3512: can't use 'Target Version' field in cus... Closed 2009-06-18

Is duplicate of Redmine - Defect #4792: Version sharing - not available in "A... Closed 2010-02-10

History

#1 - 2010-07-09 15:20 - Felix Schäfer

- Subject changed from Endeavor - Multi-project activities to Add a version filter to the global issues view

Changing the title to be more explicit about the requested feature.

#2 - 2011-10-28 11:05 - Etienne Massip

- Category changed from Projects to Issues

#3 - 2011-10-28 11:09 - Etienne Massip

- Target version set to Candidate for next major release

#4 - 2012-02-12 18:05 - Jean-Philippe Lang

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

System shared versions were added to the filters of the cross project issue list in r3409.

#5 - 2012-02-12 18:05 - Jean-Philippe Lang

- Status changed from New to Closed
